blk_end_request_callback
Prev | Chapter 17. Block Devices | Next

## Name

blk_end_request_callback — Special helper function for tricky drivers

## Synopsis

`int blk_end_request_callback (` | struct request * | rq,
| int | error,
| unsigned int | nr_bytes,
| int (drv_callback)(struct request *) | `)`;

## Arguments

`rq`

  the request being processed

`error`

  0 for success, < 0 for error

`nr_bytes`

  number of bytes to complete

``

  -- undescribed --

## Description

Ends I/O on a number of bytes attached to `rq`. If `rq` has leftover, sets it up for the next range of segments.

This special helper function is used only for existing tricky drivers. (e.g. `cdrom_newpc_intr` of ide-cd) This interface will be removed when such drivers are rewritten. Don't use this interface in other places anymore.

## Return

0 - we are done with this request 1 - this request is not freed yet. this request still has pending buffers or the driver doesn't want to finish this request yet.

Prev | Up | Next
blk_end_bidi_request | Home | blk_rq_map_user